<?php

use yii\helpers\Html;
use frontend\components\CustomerTabWidget;

/* @var $this yii\web\View */
/* @var $card \common\models\Card */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = "Kártya info";
$this->params['breadcrumbs'][] = $this->title;
?>

<?php echo CustomerTabWidget::widget(['card' => $card]) ?>


<h2>Belépés jelző</h2>
<ul>
    <li>Bérlet:
        <?php if ($card->isFlagValidity()) {
            echo Html::tag("span", "Nincs (Bérletet kell venni) - Nem OK", ['class' => 'text-danger']);
        } else {
            echo Html::tag("span", "Van - OK", ['class' => 'text-success']);
        } ?>
    </li>
    <li>Vendég tartózkodás jelző
        <?php if ($card->isFlagDoor()) {
            echo Html::tag("span", "Nem léphet be (már bennt van, vagy a bérlet típus nem enged több belépést)", ['class' => 'text-danger']);
        } else {
            echo Html::tag("span", "Beléphet - OK", ['class' => 'text-success']);
        } ?>
        <p class="small">Ez az adat jelzi, hogy a vendég az adott napon már belépett -e a terembe vagy sem. <br>
            Ha a vendégnek pl 10 alkalmas bérlete van, akkor egy nap többször is beléphet.
            Viszont ha korlátlan belépési számú bérlete van (pl: havi bérlet ), akkor naponta csak egyszer léphet be.
        </p>
    </li>
    <li>Kulcs feltétel:
        <?php if ($card->isFlagKey()) {
            echo Html::tag("span", "Nincs kulcs ( Kulcsot kell kérni)", ['class' => 'text-danger']);
        } else {
            echo Html::tag("span", "Van kulcs - OK", ['class' => 'text-success']);
        } ?>
    </li>
    <li>Kártya státusza:
        <?php if ($card->isFlagStatus()) {
            echo Html::tag("span", "Kártya tiltva - Nem OK", ['class' => 'text-danger']);
        } else {
            echo Html::tag("span", "Kártya nincs tiltva - OK", ['class' => 'text-success']);
        } ?>
    </li>
    <?php
        if ( \common\components\Helper::isTicketTypeDoorAllowedCheckOn()){
            ?>
            <li>Bérlet beléphet a forgókapun:
                <?php if ($card->isFlagDoorAllowed()) {
                    echo Html::tag("span", "Beléphet - Nem", ['class' => 'text-danger']);
                } else {
                    echo Html::tag("span", "Beléphet - Igen", ['class' => 'text-success']);
                } ?>
            </li>
        <?php
        }
    ?>

</ul>
<h2>Kilépés jelző</h2>
<ul>
    <li>Vendég tartózkodás jelző:
        <?php if ($card->isFlagOutDoor()) {
            echo Html::tag("span", "Nem léphet ki (rendszer szerint nincs a teremben)  - Nem OK", ['class' => 'text-danger']);
        } else {
            echo Html::tag("span", "Kiléphet - OK", ['class' => 'text-success']);
        } ?>
    </li>
    <li>Kulcs jelző:
        <?php if ($card->isFlagOutKey()) {
            echo Html::tag("span", "Van kulcs (le kell adni) - Nem OK", ['class' => 'text-danger']);
        } else {
            echo Html::tag("span", "Nincs kulcs - OK", ['class' => 'text-success']);
        } ?>
    </li>
</ul>
